1

Тема: PunBB 1.4.4

Доступна новая версия PunBB 1.4.4

Исправления:

  • Исправлена ошибка сохранения профиля

  • Улучшена совместимость с новыми версиями пхп

  • Исправлена ошибка валидации незакрытых ББ-тегов

  • Некоторые другие исправления

Скачать: http://punbb.informer.com/download/punbb-1.4.4.zip

Захочешь — найдешь время, не захочешь — найдешь причину.

Поделиться

2

Re: PunBB 1.4.4

hcs, а чего в шапке форума все еще PunBB 1.4.2;  Русский язык для 1.4.2; висит?

Добавлено спустя 34 минуты 10 секунд:

hcs, посмотри вот на такой тикет https://fluxbb.org/development/core/tic … #rhoxjaz22 по ошибке Fatal error mysqli_free_result
Драйвера mysql и mysqli на punbb такие же.

Моя сборка FluxBB 1.5 * Parserus - BBCode parser

Поделиться

3

Re: PunBB 1.4.4

Стоит обнову примерять или достаточно поменять только конкретные файлы с исправлениями? Так-то все что замечено уже руками было исправлено благодаря этому форуму, но не хотелось бы заново переделывать некоторые мелочи.  Может быть можно посмотреть какие были изменения в каких файлах, чтобы все не перезаливать?

Добавлено спустя 55 секунд:

Забыл сказать. 1.4.3 сейчас стоит

Поделиться

4

Re: PunBB 1.4.4

hcs, тут https://github.com/punbb/punbb/blob/mas … stants.php забыли константу версии обновить до 1.4.4.

Моя сборка FluxBB 1.5 * Parserus - BBCode parser

Поделиться

5

Re: PunBB 1.4.4

Да что же ето такое!!

Добавлено спустя 15 минут 39 секунд:

Сейчас в архиве поменяем без релиза

Захочешь — найдешь время, не захочешь — найдешь причину.

Поделиться

6

Re: PunBB 1.4.4

hcs, это на англ. форуме заметили http://punbb.informer.com/forums/topic/ … available/

Моя сборка FluxBB 1.5 * Parserus - BBCode parser

Поделиться

7

Re: PunBB 1.4.4

Да, багрепорт тоже был

Захочешь — найдешь время, не захочешь — найдешь причину.

Поделиться

8

Re: PunBB 1.4.4

hcs пишет:

Доступна новая версия PunBB 1.4.4
...
Скачать: http://punbb.informer.com/download/punbb-1.4.4.zip

Только здесь в include/constants.php версия 1.4.4
В остальных сборках - 1.4.3

(других отличий пока не заметил)

Поделиться

9

Re: PunBB 1.4.4

В каких остальных сборках?

Захочешь — найдешь время, не захочешь — найдешь причину.

Поделиться

10

Re: PunBB 1.4.4

hcs, посмотри на эту тему http://punbb.informer.com/forums/topic/ … with-icon/
Если не ошибаюсь, то это 4 байтовые UTF-8 символы рушат разметку из-за невозможности их сохранения в базу.

Моя сборка FluxBB 1.5 * Parserus - BBCode parser

Поделиться

11

Re: PunBB 1.4.4

hcs, еще про заголовки:
Pragma - устаревший и сейчас только допускает значение no-cache. При использовании с Expires с указанием предыдущего времени тут, он вообще не нужен.

Использование post-check=0, pre-check=0 в Cache-Control может плохо влиять на IE. В Cache-Control достаточно no-store указать, чтобы отменить любое кеширование.

Тут https://fluxbb.org/development/core/tickets/1060/ я тоже поднял вопрос об исправлении.

Добавлено спустя 8 минут 31 секунду:

---
В админке, кажется, стили не подгружаются, если отсутствует переменная $base_url, т.е. авто определение глючит.

Моя сборка FluxBB 1.5 * Parserus - BBCode parser

Поделиться

12

Re: PunBB 1.4.4

Здраствуйте. Нужен совет.


Обновился до 1.4.4. Не работают расширения для видео. То бишь, глючат форум если включены.

Fancy Video Tag
Fancy Media

Чем заменить или как исправить?

Поделиться

13

Re: PunBB 1.4.4

dalaybay, используйте [Релиз] sva_Media.js

Моя сборка FluxBB 1.5 * Parserus - BBCode parser

Поделиться

14

Re: PunBB 1.4.4

Visman пишет:

dalaybay, используйте [Релиз] sva_Media.js

Я решил проблему  Fancy Video с помощью этого совета -http://punbb.ru/post44974.html#p44974

Но спасибо в любом случае.

Поделиться